GET
/project/{projectId}/scenario/{scenarioId}/critical-path-changes
curl \
--request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/critical-path-changes' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
{
"added": [
{
"performanceTrack": true,
"percentCompleteType": "DURATION",
"updatedPlannedDurationHours": 42.0,
"notComplete": true,
"calendarId": 42,
"customId": "string",
"constrainedDate": "2026-05-04T09:42:00Z",
"resumeDate": "2026-05-04T09:42:00Z",
"updatedPlannedDuration": 42.0,
"externalProjectId": 42,
"plannedDuration": 42.0,
"plannedDurationHours": 42.0,
"plannedManpower": 42.0,
"actualManpower": 42.0,
"plannedBudget": 42.0,
"plannedStartDate": "2026-05-04T09:42:00Z",
"plannedFinishDate": "2026-05-04T09:42:00Z",
"percentComplete": 42.0,
"nativeFloatTotal": 42.0,
"remainingDurationHours": 42.0,
"actualDuration": 42.0,
"actualDurationHours": 42.0,
"actualStartDate": "2026-05-04T09:42:00Z",
"actualFinishDate": "2026-05-04T09:42:00Z",
"activityType": "TaskDependent",
"constraintGenerated": true,
"wbsCodeId": 42,
"retainLogic": true,
"externalId": "string",
"isExcludeFromProgress": true,
"physicalPercentComplete": 42.0,
"unitsPercentComplete": 42.0,
"conditionalBreakType": "TimePeriod",
"startOnNewDay": true,
"sourceStartDate": "2026-05-04T09:42:00Z",
"sourceFinishDate": "2026-05-04T09:42:00Z",
"sourceActualStartDate": "2026-05-04T09:42:00Z",
"sourceActualFinishDate": "2026-05-04T09:42:00Z",
"sourceDurationPercentComplete": 42.0,
"name": "string",
"id": 42,
"started": true,
"completed": true,
"constraintType": "AsLateAsPossible",
"order": 42,
"startDate": "2026-05-04T09:42:00Z",
"finishDate": "2026-05-04T09:42:00Z",
"deleted": true,
"floatTotal": 42.0,
"floatFree": 42.0,
"lateStartDate": "2026-05-04T09:42:00Z",
"lateFinishDate": "2026-05-04T09:42:00Z",
"remainingDuration": 42.0,
"predecessorDrivers": [
42
],
"inLongestPath": true,
"scenarioId": 42,
"dateCreated": "2026-05-04"
}
],
"removed": [
{
"performanceTrack": true,
"percentCompleteType": "DURATION",
"updatedPlannedDurationHours": 42.0,
"notComplete": true,
"calendarId": 42,
"customId": "string",
"constrainedDate": "2026-05-04T09:42:00Z",
"resumeDate": "2026-05-04T09:42:00Z",
"updatedPlannedDuration": 42.0,
"externalProjectId": 42,
"plannedDuration": 42.0,
"plannedDurationHours": 42.0,
"plannedManpower": 42.0,
"actualManpower": 42.0,
"plannedBudget": 42.0,
"plannedStartDate": "2026-05-04T09:42:00Z",
"plannedFinishDate": "2026-05-04T09:42:00Z",
"percentComplete": 42.0,
"nativeFloatTotal": 42.0,
"remainingDurationHours": 42.0,
"actualDuration": 42.0,
"actualDurationHours": 42.0,
"actualStartDate": "2026-05-04T09:42:00Z",
"actualFinishDate": "2026-05-04T09:42:00Z",
"activityType": "TaskDependent",
"constraintGenerated": true,
"wbsCodeId": 42,
"retainLogic": true,
"externalId": "string",
"isExcludeFromProgress": true,
"physicalPercentComplete": 42.0,
"unitsPercentComplete": 42.0,
"conditionalBreakType": "TimePeriod",
"startOnNewDay": true,
"sourceStartDate": "2026-05-04T09:42:00Z",
"sourceFinishDate": "2026-05-04T09:42:00Z",
"sourceActualStartDate": "2026-05-04T09:42:00Z",
"sourceActualFinishDate": "2026-05-04T09:42:00Z",
"sourceDurationPercentComplete": 42.0,
"name": "string",
"id": 42,
"started": true,
"completed": true,
"constraintType": "AsLateAsPossible",
"order": 42,
"startDate": "2026-05-04T09:42:00Z",
"finishDate": "2026-05-04T09:42:00Z",
"deleted": true,
"floatTotal": 42.0,
"floatFree": 42.0,
"lateStartDate": "2026-05-04T09:42:00Z",
"lateFinishDate": "2026-05-04T09:42:00Z",
"remainingDuration": 42.0,
"predecessorDrivers": [
42
],
"inLongestPath": true,
"scenarioId": 42,
"dateCreated": "2026-05-04"
}
]
}